> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get operations history for specified APC

> 
Returns the operations history of the APC (Project Create, Status change, Job Import/Export, Source/Target update, Monitoring, and APC Create/Deactivate events) as a raw JSON object provided by the Automation Service; the response shape is not modelled in this specification.



## OpenAPI

````yaml /openapi/phrase-tms-v1.json get /api2/v1/automatedProjects/{settingsId}/historyLog
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '1'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Setup
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: User Profile
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: XML Assistant
paths:
  /api2/v1/automatedProjects/{settingsId}/historyLog:
    get:
      tags:
        - Automations
      summary: Get operations history for specified APC
      description: >-

        Returns the operations history of the APC (Project Create, Status
        change, Job Import/Export, Source/Target update, Monitoring, and APC
        Create/Deactivate events) as a raw JSON object provided by the
        Automation Service; the response shape is not modelled in this
        specification.
      operationId: getApcHistoryLog
      parameters:
        - name: pageNumber
          in: query
          description: Page number, starting with 0, default 0
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: pageSize
          in: query
          description: Page size, accepts values between 1 and 500, default 50
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 500
            default: 50
        - name: sortAscending
          in: query
          description: When true, sort in ascending order
          required: false
          schema:
            type: boolean
            default: false
        - name: settingsId
          in: path
          description: Identifier of the automated project creation settings
          required: true
          schema:
            type: string
        - name: dateRangeFrom
          in: query
          description: Date range from, based on startedAt
          required: false
          schema:
            type: string
        - name: dateRangeTo
          in: query
          description: Date range to, based on startedAt
          required: false
          schema:
            type: string
        - name: actionId
          in: query
          description: Filter by actionId
          required: false
          schema:
            type: string
        - name: status
          in: query
          description: Filter by action status
          required: false
          schema:
            type: string
        - name: actionType
          in: query
          description: Filter by operation type
          required: false
          schema:
            type: string
        - name: executedBy
          in: query
          description: Filter by triggeredBy
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: receivedBy
          in: query
          description: Filter by receivedBy
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: textSearch
          in: query
          description: Search by text
          required: false
          example: projectUid
          schema:
            type: string
      responses:
        '200':
          description: OK
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````